﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadGridFilterFocusPreserve : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }
    protected void GriSystem_UpdateCommand(object sender, GridCommandEventArgs e)
    {
    }
    protected void GriSystem_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        String ConnString = ConfigurationManager.ConnectionStrings["ConnectionString"].ConnectionString;
        SqlConnection conn = new SqlConnection(ConnString);
        SqlDataAdapter adapter = new SqlDataAdapter();
        adapter.SelectCommand = new SqlCommand("SELECT [OrderID], [OrderDate], [Freight], [ShipName], [ShipCountry] FROM [Orders]", conn);

        DataTable myDataTable = new DataTable();

        conn.Open();
        try
        {
            adapter.Fill(myDataTable);
        }
        finally
        {
            conn.Close();
        }

        GriSystem.DataSource = myDataTable;
    }
    protected void GriSystem_ItemCommand(object sender, GridCommandEventArgs e)
    {
        if (e.CommandName == RadGrid.FilterCommandName)
        {
            string colName = (e.CommandArgument as Pair).Second.ToString();
            GridColumn col = e.Item.OwnerTableView.GetColumn(colName) as GridColumn;
            TextBox textBox = (e.Item as GridFilteringItem)[colName].Controls[0] as TextBox;

            if (col.FilterDelay != null && textBox != null)
            {
                HiddenField1.Value = textBox.ClientID;
            }
        }
    }
    protected void GriSystem_ItemCreated(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridFilteringItem)
        {
            GridFilteringItem filterItem = e.Item as GridFilteringItem;
            foreach (GridBoundColumn col in
                filterItem.OwnerTableView.RenderColumns.OfType<GridBoundColumn>().Where(x => x.FilterDelay != null))
            {
                TextBox textBox = filterItem[col.UniqueName].Controls[0] as TextBox;
                textBox.Attributes.Add("onpaste", "textBoxPaste(this);");
            }
        }
    }
}